kr.co.hanwha.hifive.view

## Class NonUnderlineClickSpan

- java.lang.Object
- - android.text.style.CharacterStyle
  - - android.text.style.ClickableSpan
    - - kr.co.hanwha.hifive.view.NonUnderlineClickSpan

- All Implemented Interfaces:
    android.text.style.UpdateAppearance

      public class NonUnderlineClickSpan
      extends android.text.style.ClickableSpan

  Created by sanghoonkwon on 2018. 1. 22..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `color`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonUnderlineClickSpan()`
    `NonUnderlineClickSpan(int color)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onClick(android.view.View widget)`
    `void` | `updateDrawState(android.text.TextPaint ds)`

    - ### Methods inherited from class android.text.style.CharacterStyle

      `getUnderlying, wrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### color

          int color

  - ### Constructor Detail

    - #### NonUnderlineClickSpan

          public NonUnderlineClickSpan()

    - #### NonUnderlineClickSpan

          public NonUnderlineClickSpan(int color)

  - ### Method Detail

    - #### onClick

          public void onClick(android.view.View widget)

      Specified by:
        `onClick` in class `android.text.style.ClickableSpan`

    - #### updateDrawState

          public void updateDrawState(android.text.TextPaint ds)

      Overrides:
        `updateDrawState` in class `android.text.style.ClickableSpan`